Bug Hunting Session
Bug 60844 - [Template manager] Template Manager does not remember last open folder
Summary: [Template manager] Template Manager does not remember last open folder
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other Linux (All)
: medium normal
Assignee: Akshay Deep
URL:
Whiteboard: BSA target:4.1.0 target:4.0.3
Keywords: bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2013-02-14 14:52 UTC by S.
Modified: 2016-06-01 23:30 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description S. 2013-02-14 14:52:40 UTC
Hi everyone, I usually use the Template Manager to start new Writer documents. I always use my own custom templates under "My Templates". There are two regressions in the Template Manager in 4.0:

1. It is very slow to load. The Template Manager takes at least 2 seconds to appear each time after clicking "Templates" button. I imagine this is because of the new template thumbnails. I would appreciate an option to turn off the thumbnails, or possibly implement caching of the thumbnails for subsequent openings of the Template Manager.

2. As mentioned, I always go into "My Templates". Under 3.x, after entering "My Templates" the first time, it would remember that and open directly into "My Templates" from then on. Now, it always defaults to the top level templates overview with all the categories.

Thanks for looking into this.
Operating System: openSUSE
Version: 4.0.0.3 release
Last worked in: 3.6.5.2 release
Comment 1 Cor Nouws 2013-02-25 21:53:27 UTC
Hi S.

thanks for reporting. 
I hope you don't mind that I take out the slow part:
 - one issue for one bug & that's more subjective (IMO)

Set to new.
Comment 2 S. 2013-02-26 00:06:17 UTC
OK, thanks.

Here's a separate bug I created for the slowness:
https://bugs.freedesktop.org/show_bug.cgi?id=61471
Comment 3 Commit Notification 2013-03-29 04:03:27 UTC
Rafael Dominguez committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=05a9ca5b8920e2452130b0a327763a2c3f6dfd24

fdo#60844 Remember last open folder and filter in Template Manager.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-04-08 07:46:59 UTC
Rafael Dominguez committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=115ef1143dcbeefa2e0b9a4217e211dd0a470e70&h=libreoffice-4-0

fdo#60844 Remember last open folder and filter in Template Manager.


It will be available in LibreOffice 4.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Cor Nouws 2013-05-10 09:01:19 UTC
(In reply to comment #4)

> It will be available in LibreOffice 4.0.3.


thanks, works fine :-)

I can't test the master (no daily builds for my OS) but just close this as fixed (to be confirmed in 4.1.0 later)
Comment 6 S. 2015-02-24 14:59:34 UTC
Marked as reopened. This bug is present again in 4.4.0.
Comment 7 Robinson Tryon (qubit) 2015-03-05 16:45:55 UTC
Assuming that this has actually reappeared:
Whiteboard -> bibisectRequest
Comment 8 Robinson Tryon (qubit) 2015-12-14 05:37:57 UTC
Migrating Whiteboard tags to Keywords: (bibisectRequest)
[NinjaEdit]
Comment 9 Akshay Deep 2016-06-01 23:30:12 UTC
Resolved here: https://gerrit.libreoffice.org/#/c/24545/